Create Knowledge Base
curl --request POST \
--url https://api.trillet.ai/v1/api/knowledgebase \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.trillet.ai/v1/api/knowledgebase"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.trillet.ai/v1/api/knowledgebase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Product Documentation",
"description": "All product-related documentation and FAQs",
"workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
"files": [],
"createdAt": "2024-06-01T09:00:00.000Z",
"updatedAt": "2024-06-01T09:00:00.000Z"
}
Knowledge Base
Create Knowledge Base
Create a new knowledge base in your workspace.
POST
/
v1
/
api
/
knowledgebase
Create Knowledge Base
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Request Body
string
required
Name of the knowledge base.
string
Description of the knowledge base.
Response Fields
string
Unique identifier for the newly created knowledge base.
string
Name of the knowledge base.
string
Description of the knowledge base.
string
Workspace ID associated with the knowledge base.
string
Timestamp when the knowledge base was created.
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Product Documentation",
"description": "All product-related documentation and FAQs",
"workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
"files": [],
"createdAt": "2024-06-01T09:00:00.000Z",
"updatedAt": "2024-06-01T09:00:00.000Z"
}
⌘I
